<nz-card nzSize="small" nzTitle="Notes" [nzExtra]="cardExtra">

  <ng-template #cardExtra>
    <button nz-button (click)="createInit()" nzSize="small" nzShape="round" nzType="primary">
      Add new
    </button>
  </ng-template>

  <nz-table #table [nzData]="list" [nzLoading]="isLoading" nzSize="small">
    <thead>
      <tr>
        <th nzAlign="center">Content</th>
        <th nzAlign="center">Moderator</th>
        <th nzAlign="center">Date</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of table.data">
        <td nzAlign="center">{{ data.content }}</td>
        <td nzAlign="center">{{ data.moderator?.name }}</td>
        <td nzAlign="center">{{ data.createdOn }}</td>
        <td>
        </td>
      </tr>
    </tbody>
  </nz-table>

  <nz-modal [nzVisible]="createNewForm" nzTitle="Add new note" (nzOnCancel)="createNewForm = undefined" [nzOkLoading]="isLoading"
    (nzOnOk)="create()">
    <ng-container *nzModalContent>
      <form nz-form [formGroup]="createNewForm">
        <nz-form-item>
          <nz-form-label [nzSpan]="6">Content</nz-form-label>
          <nz-form-control [nzSpan]="14">
            <textarea nz-input [nzAutosize]="{ minRows: 3 }" formControlName="content"></textarea>
          </nz-form-control>
        </nz-form-item>
      </form>
    </ng-container>
  </nz-modal>

</nz-card>
